org.apache.cayenne.query

## Class EJBQLQuery

- java.lang.Object
- - org.apache.cayenne.query.CacheableQuery
  - - org.apache.cayenne.query.EJBQLQuery

- All Implemented Interfaces:
    Serializable, Query, XMLSerializable

      public class EJBQLQuery
      extends CacheableQuery
      implements XMLSerializable

  An EJBQL query representation in Cayenne.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DataMap` | `dataMap` Deprecated.
    `protected String` | `ejbqlStatement`
    `protected EJBQLCompiledExpression` | `expression`
    `protected String` | `name` Deprecated.
    `protected Map<String,Object>` | `namedParameters`
    `protected Map<Integer,Object>` | `positionalParameters`

    - ### Fields inherited from class org.apache.cayenne.query.CacheableQuery

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EJBQLQuery()`
    `EJBQLQuery(String ejbqlStatement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SQLAction` | `createSQLAction(SQLActionVisitor visitor)` A callback method invoked by Cayenne during the final execution phase of the query run.
    `void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
    `protected org.apache.cayenne.query.BaseQueryMetadata` | `getBaseMetaData()`
    `DataMap` | `getDataMap()` Deprecated.
    `String` | `getEjbqlStatement()` Returns an unparsed EJB QL statement used to initialize this query.
    `EJBQLCompiledExpression` | `getExpression(EntityResolver resolver)` Returns lazily initialized EJBQLCompiledExpression for this query EJBQL.
    `int` | `getFetchLimit()` Returns the fetchLimit property indicating the maximum number of rows this query would return.
    `int` | `getFetchOffset()`
    `QueryMetadata` | `getMetaData(EntityResolver resolver)` Returns query runtime parameters.
    `String` | `getName()` Deprecated.
    `Map<String,Object>` | `getNamedParameters()` Returns unmodifiable map of combined named and positional parameters.
    `int` | `getPageSize()`
    `Map<Integer,Object>` | `getPositionalParameters()`
    `int` | `getStatementFetchSize()`
    `void` | `initWithProperties(Map<String,?> properties)`
    `boolean` | `isFetchingDataRows()`
    `void` | `route(QueryRouter router, EntityResolver resolver, Query substitutedQuery)` A callback method invoked by Cayenne during the routing phase of the query execution.
    `void` | `setDataMap(DataMap dataMap)` Deprecated.
    `void` | `setEjbqlStatement(String text)`
    `void` | `setFetchingDataRows(boolean flag)`
    `void` | `setFetchLimit(int fetchLimit)` Sets the fetchLimit property indicating the maximum number of rows this query would return.
    `void` | `setFetchOffset(int fetchOffset)`
    `void` | `setName(String name)` Deprecated.
    `void` | `setPageSize(int pageSize)`
    `void` | `setParameter(int position, Object object)` Sets a positional query parameter value.
    `void` | `setParameter(String name, Object object)` Sets a named query parameter value.
    `void` | `setStatementFetchSize(int size)` Sets statement's fetch size (0 for no default size)

    - ### Methods inherited from class org.apache.cayenne.query.CacheableQuery

      `getCacheGroup, getCacheGroups, getCacheStrategy, setCacheGroup, setCacheGroups, setCacheStrategy, useLocalCache, useLocalCache, useLocalCache, useSharedCache, useSharedCache, useSharedCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          @Deprecated
          protected String name

      Deprecated.

    - #### dataMap

          @Deprecated
          protected DataMap dataMap

      Deprecated.

    - #### ejbqlStatement

          protected String ejbqlStatement

    - #### namedParameters

          protected Map<String,Object> namedParameters

    - #### positionalParameters

          protected Map<Integer,Object> positionalParameters

    - #### expression

          protected transient EJBQLCompiledExpression expression

  - ### Constructor Detail

    - #### EJBQLQuery

          public EJBQLQuery(String ejbqlStatement)

    - #### EJBQLQuery

          public EJBQLQuery()

  - ### Method Detail

    - #### getDataMap

          @Deprecated
          public DataMap getDataMap()

      Deprecated.
      Specified by:
        `getDataMap` in interface `Query`
      Since:
        3.1

    - #### setDataMap

          @Deprecated
          public void setDataMap(DataMap dataMap)

      Deprecated.
      Since:
        3.1

    - #### initWithProperties

          public void initWithProperties(Map<String,?> properties)

    - #### getMetaData

          public QueryMetadata getMetaData(EntityResolver resolver)

      Description copied from interface: `Query`
      Returns query runtime parameters. The method is called at various stages of the execution by Cayenne access stack to retrieve query parameters. EntityResolver instance is passed to this method, meaning that the query doesn't need to store direct references to Cayenne mapping objects and can resolve them at runtime.
      Specified by:
        `getMetaData` in interface `Query`

    - #### isFetchingDataRows

          public boolean isFetchingDataRows()

    - #### setFetchingDataRows

          public void setFetchingDataRows(boolean flag)

    - #### getBaseMetaData

          protected org.apache.cayenne.query.BaseQueryMetadata getBaseMetaData()

      Specified by:
        `getBaseMetaData` in class `CacheableQuery`

    - #### route

          public void route(QueryRouter router,
                            EntityResolver resolver,
                            Query substitutedQuery)

      Description copied from interface: `Query`
      A callback method invoked by Cayenne during the routing phase of the query execution. Mapping of DataNodes is provided by QueryRouter. Query should use a `QueryRouter.route(QueryEngine, Query, Query)` callback method to route itself. Query can create one or more substitute queries or even provide its own QueryEngine to execute itself.
      Specified by:
        `route` in interface `Query`

    - #### createSQLAction

          public SQLAction createSQLAction(SQLActionVisitor visitor)

      Description copied from interface: `Query`
      A callback method invoked by Cayenne during the final execution phase of the query run. A concrete query implementation is given a chance to decide how it should be handled. Implementors can pick an appropriate method of the SQLActionVisitor to handle itself, create a custom SQLAction of its own, or substitute itself with another query that should be used for SQLAction construction.
      Specified by:
        `createSQLAction` in interface `Query`

    - #### getEjbqlStatement

          public String getEjbqlStatement()

      Returns an unparsed EJB QL statement used to initialize this query.

    - #### getExpression

          public EJBQLCompiledExpression getExpression(EntityResolver resolver)
                                                throws EJBQLException

      Returns lazily initialized EJBQLCompiledExpression for this query EJBQL.
      Throws:
        `EJBQLException`

    - #### getName

          @Deprecated
          public String getName()

      Deprecated.
      Description copied from interface: `Query`
      Returns a symbolic name of the query. The name is normally used as a key to find queries stored in the DataMap.
      Specified by:
        `getName` in interface `Query`

    - #### setName

          @Deprecated
          public void setName(String name)

      Deprecated.

    - #### getNamedParameters

          public Map<String,Object> getNamedParameters()

      Returns unmodifiable map of combined named and positional parameters. Positional parameter keys are Integers, while named parameter keys are strings.

    - #### getPositionalParameters

          public Map<Integer,Object> getPositionalParameters()

    - #### setParameter

          public void setParameter(String name,
                                   Object object)

      Sets a named query parameter value.

    - #### setParameter

          public void setParameter(int position,
                                   Object object)

      Sets a positional query parameter value. Note that parameter indexes are starting from 1.

    - #### getFetchLimit

          public int getFetchLimit()

      Returns the fetchLimit property indicating the maximum number of rows this query would return.

    - #### setFetchLimit

          public void setFetchLimit(int fetchLimit)

      Sets the fetchLimit property indicating the maximum number of rows this query would return.

    - #### getFetchOffset

          public int getFetchOffset()

    - #### setFetchOffset

          public void setFetchOffset(int fetchOffset)

    - #### encodeAsXML

          public void encodeAsXML(XMLEncoder encoder)

      Description copied from interface: `XMLSerializable`
      Prints itself as XML to the provided XMLEncoder.
      Specified by:
        `encodeAsXML` in interface `XMLSerializable`

    - #### setEjbqlStatement

          public void setEjbqlStatement(String text)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public void setPageSize(int pageSize)

    - #### setStatementFetchSize

          public void setStatementFetchSize(int size)

      Sets statement's fetch size (0 for no default size)
      Since:
        3.0

    - #### getStatementFetchSize

          public int getStatementFetchSize()

      Returns:
        statement's fetch size
      Since:
        3.0

Copyright © 2001–2018 Apache Cayenne. All rights reserved.